#macro(rank $rank)#if( $rank<0 )#set( $k = -$rank )${k}k#else#set( $d=$rank+1 )${d}d#end#end #if (!$tour)

## Invalid tournament id

#end #set($round = $math.toInteger($!params.round)) #if(!$round) #set($round = 1) #else #set($round = $math.min($math.max($round, 1), $tour.rounds)) #end
#set($parts = $api.get("tour/${params.id}/part")) #set($pmap = $utils.toMap($parts)) #set($roundPairing = $api.get("tour/${params.id}/pair/$round")) #if($roundPairing.error)
#stop #end #set($games = $utils.removeBye($roundPairing.games)) #foreach($game in $games) #set($white = $pmap[$game.w]) #set($black = $pmap[$game.b]) #if($foreach.index % 4 == 0)
#end
$tour.name
Result sheet
Table $game.t
Hd $game.h
Round $round
Surround winner's name or ½-½
White
$white.name $white.firstname #rank($white.rank)
($white.country.toUpperCase(), $white.club)
##
$white.egf
½-½
Black
$black.name $black.firstname #rank($black.rank)
($black.country.toUpperCase(), $black.club)
##
$black.egf
Signature:
Signature:
#if($foreach.index % 4 == 3)
#end #end